Name:		blueberry
Version:	1.1.20
Release:	1%{?dist}
Summary:	Bluetooth configuration tool

License:	GPLv3+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	python2-devel

Requires:	bluez-obexd
Requires:	bluez-tools
Requires:	dbus-python
Requires:	filesystem
Requires:	gnome-bluetooth
Requires:	hicolor-icon-theme
Requires:	pygobject3
Requires:	python-setproctitle
Requires:	rfkill
Requires:	wmctrl


%description
%{summary} depending on gnome-bluetooth.


%package -n cinnamon-applet-%{name}
Summary:	Cinnamon applet for %{name}

Requires:	%{name}			== %{version}-%{release}
Requires:	cinnamon

%description -n cinnamon-applet-%{name}
Cinnamon applet for %{name}.


%prep
%autosetup -p 1

# Fix shebangs to system Python2.x
for file in .%{_bindir}/* $(%{_bindir}/find .%{_prefix} -name '*.py' -type f)
do
	%{__sed} -i.orig						\
	-e 's~#![ \t]*%{_bindir}/python$~#!%{__python2}~'\
	-e 's~#![ \t]*%{_bindir}/env[ \t]*python[2]*$~#!%{__python2}~'	\
	 ${file}
	/bin/touch -r ${file}.orig ${file}
	%{__rm} -f ${file}.orig
done

%if (0%{?rhel} && 0%{?rhel} >= 7)
for f in $(%{__grep} -Rl '#!.*python3') ; do
  %{__sed} -e 's~#!.*python3~#!/usr/bin/python2~g' < ${f} > ${f}.new
  /bin/touch -r ${f}.new ${f}
  mode="$(%{_bindir}/stat -c '%a' ${f})"
  %{__mv} -f ${f}.new ${f}
  %{__chmod} -c ${mode} ${f}
done
%endif # (0%%{?rhel} && 0%%{?rhel} >= 7)


%build
%make_build


%install
%{__mkdir} -p %{buildroot}
%{__cp} -a .%{_prefix} .%{_sysconfdir} %{buildroot}
%{__grep} -RZl '#!%{__python2}' %{buildroot}%{_prefix}/lib/%{name}/* |	\
	%{_bindir}/xargs -0 %{__chmod} -c 0755
for file in $(%{_bindir}/find %{buildroot} -name '*.desktop' -type f)
do
	%{_bindir}/desktop-file-validate ${file}
done
%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor	\
		&>/dev/null || :
fi
%if (0%{?fedora} && 0%{?fedora} <= 23) || (0%{?rhel} && 0%{?rhel} <= 7)
if [ $1 -eq 0 ] ; then
	%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas	\
		&> /dev/null || :
fi
%endif # (0#{?fedora} && 0#{?fedora} <= 23) || (0#{?rhel} && 0#{?rhel} <= 7)


%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor		\
	&>/dev/null || :
%if (0%{?fedora} && 0%{?fedora} <= 23) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas		\
	&> /dev/null || :
%endif # (0#{?fedora} && 0#{?fedora} <= 23) || (0#{?rhel} && 0#{?rhel} <= 7)


%files -f %{name}.lang
%license debian/copyright COPYING
%doc debian/changelog
# Desktop-file for xdg/autostart.
%config %{_sysconfdir}/xdg/autostart/*%{name}*.desktop
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/status/%{name}*.png
%{_datadir}/icons/hicolor/*/status/%{name}*.svg
%{_prefix}/lib/%{name}


%files -n cinnamon-applet-%{name}
%{_datadir}/cinnamon/applets/%{name}*


%changelog
* Mon Dec 18 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.1.20-1
- New upstream release

* Sun Dec 10 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.1.19-1
- New upstream release

* Tue Nov 14 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.1.18-1
- New upstream release
  Add upstream fix for double icons (rhbz#1478751)

* Mon Nov 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.17-1
- New upstream release (rhbz#1509725)

* Fri Oct 27 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.1.16-1
- New upstream release

* Tue Oct 24 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.1.15-6
- Patch for util-linux rfkill change in f28

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.15-5
- Preserve mode of files when changing hashbang

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.15-4
- Fix regex for EPEL

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.15-3
- Use Python2 on EPEL <= 7

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 28 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.15-1
- New upstream release (rhbz#1465880)

* Mon Jun 12 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.1.13-1
- New upstream release

* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.12-1
- New upstream release (rhbz#1454974)

* Sat May 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.11-1
- New upstream release

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.10-3
- Add requires for bluez-tools

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.10-2
- Fix dependencies
- Update patches from upstream

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.10-1
- New upstream release
- Add sub-pkg for new Cinnamon applet

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-2
- Fix %%files for el <= 7

* Thu Jan 05 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-1
- Initial rpm-release (rhbz#1409404)

* Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.3
- Added scriptlets for Fedora <= 23 and RHEL <= 7

* Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.2
- Updated Patch0

* Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.1
- Initial package (rhbz#1409404)
